<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:33 CEST 2019 -->
<title>JaybirdSqlListener (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JaybirdSqlListener (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html" title="class in org.firebirdsql.jdbc.parser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html" title="class in org.firebirdsql.jdbc.parser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/parser/JaybirdSqlListener.html" target="_top">Frames</a></li>
<li><a href="JaybirdSqlListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc.parser</div>
<h2 title="Interface JaybirdSqlListener" class="title">Interface JaybirdSqlListener</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.antlr.v4.runtime.tree.ParseTreeListener</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlBaseListener.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlBaseListener</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">JaybirdSqlListener</span>
extends org.antlr.v4.runtime.tree.ParseTreeListener</pre>
<div class="block">This interface defines a complete listener for a parse tree produced by
 <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html" title="class in org.firebirdsql.jdbc.parser"><code>JaybirdSqlParser</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterAlias-org.firebirdsql.jdbc.parser.JaybirdSqlParser.AliasContext-">enterAlias</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.AliasContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.AliasContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#alias--"><code>JaybirdSqlParser.alias()</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterColumnName-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ColumnNameContext-">enterColumnName</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ColumnNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ColumnNameContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#columnName--"><code>JaybirdSqlParser.columnName()</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterDeleteStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.DeleteStatementContext-">enterDeleteStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.DeleteStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.DeleteStatementContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#deleteStatement--"><code>JaybirdSqlParser.deleteStatement()</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterFullIdentifier-org.firebirdsql.jdbc.parser.JaybirdSqlParser.FullIdentifierContext-">enterFullIdentifier</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.FullIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.FullIdentifierContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#fullIdentifier--"><code>JaybirdSqlParser.fullIdentifier()</code></a>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterInsertStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.InsertStatementContext-">enterInsertStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.InsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.InsertStatementContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#insertStatement--"><code>JaybirdSqlParser.insertStatement()</code></a>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterMergeStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.MergeStatementContext-">enterMergeStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.MergeStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.MergeStatementContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#mergeStatement--"><code>JaybirdSqlParser.mergeStatement()</code></a>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterReturningClause-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ReturningClauseContext-">enterReturningClause</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningClauseContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningClauseContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#returningClause--"><code>JaybirdSqlParser.returningClause()</code></a>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterReturningColumnList-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ReturningColumnListContext-">enterReturningColumnList</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningColumnListContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningColumnListContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#returningColumnList--"><code>JaybirdSqlParser.returningColumnList()</code></a>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterSimpleIdentifier-org.firebirdsql.jdbc.parser.JaybirdSqlParser.SimpleIdentifierContext-">enterSimpleIdentifier</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleIdentifierContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#simpleIdentifier--"><code>JaybirdSqlParser.simpleIdentifier()</code></a>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterSimpleValue-org.firebirdsql.jdbc.parser.JaybirdSqlParser.SimpleValueContext-">enterSimpleValue</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleValueContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleValueContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#simpleValue--"><code>JaybirdSqlParser.simpleValue()</code></a>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.StatementContext-">enterStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.StatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.StatementContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#statement--"><code>JaybirdSqlParser.statement()</code></a>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterTableName-org.firebirdsql.jdbc.parser.JaybirdSqlParser.TableNameContext-">enterTableName</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.TableNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.TableNameContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#tableName--"><code>JaybirdSqlParser.tableName()</code></a>.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterUpdateOrInsertStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.UpdateOrInsertStatementContext-">enterUpdateOrInsertStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateOrInsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateOrInsertStatementContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#updateOrInsertStatement--"><code>JaybirdSqlParser.updateOrInsertStatement()</code></a>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#enterUpdateStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.UpdateStatementContext-">enterUpdateStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateStatementContext</a>&nbsp;ctx)</code>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#updateStatement--"><code>JaybirdSqlParser.updateStatement()</code></a>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitAlias-org.firebirdsql.jdbc.parser.JaybirdSqlParser.AliasContext-">exitAlias</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.AliasContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.AliasContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#alias--"><code>JaybirdSqlParser.alias()</code></a>.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitColumnName-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ColumnNameContext-">exitColumnName</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ColumnNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ColumnNameContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#columnName--"><code>JaybirdSqlParser.columnName()</code></a>.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitDeleteStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.DeleteStatementContext-">exitDeleteStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.DeleteStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.DeleteStatementContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#deleteStatement--"><code>JaybirdSqlParser.deleteStatement()</code></a>.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitFullIdentifier-org.firebirdsql.jdbc.parser.JaybirdSqlParser.FullIdentifierContext-">exitFullIdentifier</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.FullIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.FullIdentifierContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#fullIdentifier--"><code>JaybirdSqlParser.fullIdentifier()</code></a>.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitInsertStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.InsertStatementContext-">exitInsertStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.InsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.InsertStatementContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#insertStatement--"><code>JaybirdSqlParser.insertStatement()</code></a>.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitMergeStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.MergeStatementContext-">exitMergeStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.MergeStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.MergeStatementContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#mergeStatement--"><code>JaybirdSqlParser.mergeStatement()</code></a>.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitReturningClause-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ReturningClauseContext-">exitReturningClause</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningClauseContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningClauseContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#returningClause--"><code>JaybirdSqlParser.returningClause()</code></a>.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitReturningColumnList-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ReturningColumnListContext-">exitReturningColumnList</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningColumnListContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningColumnListContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#returningColumnList--"><code>JaybirdSqlParser.returningColumnList()</code></a>.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitSimpleIdentifier-org.firebirdsql.jdbc.parser.JaybirdSqlParser.SimpleIdentifierContext-">exitSimpleIdentifier</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleIdentifierContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#simpleIdentifier--"><code>JaybirdSqlParser.simpleIdentifier()</code></a>.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitSimpleValue-org.firebirdsql.jdbc.parser.JaybirdSqlParser.SimpleValueContext-">exitSimpleValue</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleValueContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleValueContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#simpleValue--"><code>JaybirdSqlParser.simpleValue()</code></a>.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.StatementContext-">exitStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.StatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.StatementContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#statement--"><code>JaybirdSqlParser.statement()</code></a>.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitTableName-org.firebirdsql.jdbc.parser.JaybirdSqlParser.TableNameContext-">exitTableName</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.TableNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.TableNameContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#tableName--"><code>JaybirdSqlParser.tableName()</code></a>.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitUpdateOrInsertStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.UpdateOrInsertStatementContext-">exitUpdateOrInsertStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateOrInsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateOrInsertStatementContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#updateOrInsertStatement--"><code>JaybirdSqlParser.updateOrInsertStatement()</code></a>.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html#exitUpdateStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.UpdateStatementContext-">exitUpdateStatement</a></span>(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateStatementContext</a>&nbsp;ctx)</code>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#updateStatement--"><code>JaybirdSqlParser.updateStatement()</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.antlr.v4.runtime.tree.ParseTreeListener">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.antlr.v4.runtime.tree.ParseTreeListener</h3>
<code>enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="enterStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.StatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterStatement</h4>
<pre>void&nbsp;enterStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.StatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.StatementContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#statement--"><code>JaybirdSqlParser.statement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.StatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitStatement</h4>
<pre>void&nbsp;exitStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.StatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.StatementContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#statement--"><code>JaybirdSqlParser.statement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterDeleteStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.DeleteStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterDeleteStatement</h4>
<pre>void&nbsp;enterDeleteStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.DeleteStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.DeleteStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#deleteStatement--"><code>JaybirdSqlParser.deleteStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitDeleteStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.DeleteStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitDeleteStatement</h4>
<pre>void&nbsp;exitDeleteStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.DeleteStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.DeleteStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#deleteStatement--"><code>JaybirdSqlParser.deleteStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterUpdateStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.UpdateStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterUpdateStatement</h4>
<pre>void&nbsp;enterUpdateStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#updateStatement--"><code>JaybirdSqlParser.updateStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitUpdateStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.UpdateStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitUpdateStatement</h4>
<pre>void&nbsp;exitUpdateStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#updateStatement--"><code>JaybirdSqlParser.updateStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterUpdateOrInsertStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.UpdateOrInsertStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterUpdateOrInsertStatement</h4>
<pre>void&nbsp;enterUpdateOrInsertStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateOrInsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateOrInsertStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#updateOrInsertStatement--"><code>JaybirdSqlParser.updateOrInsertStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitUpdateOrInsertStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.UpdateOrInsertStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitUpdateOrInsertStatement</h4>
<pre>void&nbsp;exitUpdateOrInsertStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateOrInsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateOrInsertStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#updateOrInsertStatement--"><code>JaybirdSqlParser.updateOrInsertStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterInsertStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.InsertStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterInsertStatement</h4>
<pre>void&nbsp;enterInsertStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.InsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.InsertStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#insertStatement--"><code>JaybirdSqlParser.insertStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitInsertStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.InsertStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitInsertStatement</h4>
<pre>void&nbsp;exitInsertStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.InsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.InsertStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#insertStatement--"><code>JaybirdSqlParser.insertStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterMergeStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.MergeStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterMergeStatement</h4>
<pre>void&nbsp;enterMergeStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.MergeStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.MergeStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#mergeStatement--"><code>JaybirdSqlParser.mergeStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitMergeStatement-org.firebirdsql.jdbc.parser.JaybirdSqlParser.MergeStatementContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitMergeStatement</h4>
<pre>void&nbsp;exitMergeStatement(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.MergeStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.MergeStatementContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#mergeStatement--"><code>JaybirdSqlParser.mergeStatement()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterReturningClause-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ReturningClauseContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterReturningClause</h4>
<pre>void&nbsp;enterReturningClause(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningClauseContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningClauseContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#returningClause--"><code>JaybirdSqlParser.returningClause()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitReturningClause-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ReturningClauseContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitReturningClause</h4>
<pre>void&nbsp;exitReturningClause(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningClauseContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningClauseContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#returningClause--"><code>JaybirdSqlParser.returningClause()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterSimpleIdentifier-org.firebirdsql.jdbc.parser.JaybirdSqlParser.SimpleIdentifierContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterSimpleIdentifier</h4>
<pre>void&nbsp;enterSimpleIdentifier(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleIdentifierContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#simpleIdentifier--"><code>JaybirdSqlParser.simpleIdentifier()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitSimpleIdentifier-org.firebirdsql.jdbc.parser.JaybirdSqlParser.SimpleIdentifierContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitSimpleIdentifier</h4>
<pre>void&nbsp;exitSimpleIdentifier(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleIdentifierContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#simpleIdentifier--"><code>JaybirdSqlParser.simpleIdentifier()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterFullIdentifier-org.firebirdsql.jdbc.parser.JaybirdSqlParser.FullIdentifierContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterFullIdentifier</h4>
<pre>void&nbsp;enterFullIdentifier(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.FullIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.FullIdentifierContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#fullIdentifier--"><code>JaybirdSqlParser.fullIdentifier()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitFullIdentifier-org.firebirdsql.jdbc.parser.JaybirdSqlParser.FullIdentifierContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitFullIdentifier</h4>
<pre>void&nbsp;exitFullIdentifier(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.FullIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.FullIdentifierContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#fullIdentifier--"><code>JaybirdSqlParser.fullIdentifier()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterTableName-org.firebirdsql.jdbc.parser.JaybirdSqlParser.TableNameContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterTableName</h4>
<pre>void&nbsp;enterTableName(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.TableNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.TableNameContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#tableName--"><code>JaybirdSqlParser.tableName()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitTableName-org.firebirdsql.jdbc.parser.JaybirdSqlParser.TableNameContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitTableName</h4>
<pre>void&nbsp;exitTableName(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.TableNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.TableNameContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#tableName--"><code>JaybirdSqlParser.tableName()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterReturningColumnList-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ReturningColumnListContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterReturningColumnList</h4>
<pre>void&nbsp;enterReturningColumnList(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningColumnListContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningColumnListContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#returningColumnList--"><code>JaybirdSqlParser.returningColumnList()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitReturningColumnList-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ReturningColumnListContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitReturningColumnList</h4>
<pre>void&nbsp;exitReturningColumnList(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningColumnListContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningColumnListContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#returningColumnList--"><code>JaybirdSqlParser.returningColumnList()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterColumnName-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ColumnNameContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterColumnName</h4>
<pre>void&nbsp;enterColumnName(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ColumnNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ColumnNameContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#columnName--"><code>JaybirdSqlParser.columnName()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitColumnName-org.firebirdsql.jdbc.parser.JaybirdSqlParser.ColumnNameContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitColumnName</h4>
<pre>void&nbsp;exitColumnName(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ColumnNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ColumnNameContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#columnName--"><code>JaybirdSqlParser.columnName()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterAlias-org.firebirdsql.jdbc.parser.JaybirdSqlParser.AliasContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterAlias</h4>
<pre>void&nbsp;enterAlias(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.AliasContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.AliasContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#alias--"><code>JaybirdSqlParser.alias()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitAlias-org.firebirdsql.jdbc.parser.JaybirdSqlParser.AliasContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitAlias</h4>
<pre>void&nbsp;exitAlias(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.AliasContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.AliasContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#alias--"><code>JaybirdSqlParser.alias()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="enterSimpleValue-org.firebirdsql.jdbc.parser.JaybirdSqlParser.SimpleValueContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enterSimpleValue</h4>
<pre>void&nbsp;enterSimpleValue(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleValueContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleValueContext</a>&nbsp;ctx)</pre>
<div class="block">Enter a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#simpleValue--"><code>JaybirdSqlParser.simpleValue()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
<a name="exitSimpleValue-org.firebirdsql.jdbc.parser.JaybirdSqlParser.SimpleValueContext-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>exitSimpleValue</h4>
<pre>void&nbsp;exitSimpleValue(<a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleValueContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleValueContext</a>&nbsp;ctx)</pre>
<div class="block">Exit a parse tree produced by <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#simpleValue--"><code>JaybirdSqlParser.simpleValue()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ctx</code> - the parse tree</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html" title="class in org.firebirdsql.jdbc.parser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html" title="class in org.firebirdsql.jdbc.parser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/parser/JaybirdSqlListener.html" target="_top">Frames</a></li>
<li><a href="JaybirdSqlListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
